<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
class Sale extends Model
{
    //use HasFactory;

    // Permitimos asignación masiva para poder guardar rápido
    protected $guarded = [];

    // Relación 1: Una venta pertenece a un Cliente (User)
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    // Relación 2: Una venta tiene muchos items o detalles
    public function details()
    {
        return $this->hasMany(SaleDetail::class);
    }
}
